From 63dd4e6c3ef43a9dde4a91e2428e82c94ae25836 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Thu, 15 May 2025 11:13:56 +0000
Subject: [PATCH] linux-firmware: upgrade 20250410 -> 20250509

---
 ...20250410.bb => linux-firmware_20250509.bb} | 421 +++++++++++++++++-
 1 file changed, 419 insertions(+), 2 deletions(-)
 rename meta/recipes-kernel/linux-firmware/{linux-firmware_20250410.bb => linux-firmware_20250509.bb} (87%)

diff --git a/meta/recipes-kernel/linux-firmware/linux-firmware_20250410.bb b/meta/recipes-kernel/linux-firmware/linux-firmware_20250509.bb
similarity index 87%
rename from meta/recipes-kernel/linux-firmware/linux-firmware_20250410.bb
rename to meta/recipes-kernel/linux-firmware/linux-firmware_20250509.bb
index e9491a74bd..c11716731f 100644
--- a/meta/recipes-kernel/linux-firmware/linux-firmware_20250410.bb
+++ b/meta/recipes-kernel/linux-firmware/linux-firmware_20250509.bb
@@ -1,3 +1,420 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- WHENCE
+# +++ WHENCE
+# @@ -1022,25 +1022,25 @@
+#  Version: 74.a5e9588b.0
+#  
+#  File: iwlwifi-cc-a0-77.ucode
+# -Version: 74.2753b721.0
+# +Version: 74.f31a351f.0
+#  
+#  File: iwlwifi-Qu-b0-hr-b0-77.ucode
+# -Version: 74.2753b721.0
+# +Version: 74.f31a351f.0
+#  
+#  File: iwlwifi-Qu-b0-jf-b0-77.ucode
+# -Version: 74.2753b721.0
+# +Version: 74.f31a351f.0
+#  
+#  File: iwlwifi-Qu-c0-hr-b0-77.ucode
+# -Version: 74.2753b721.0
+# +Version: 74.f31a351f.0
+#  
+#  File: iwlwifi-Qu-c0-jf-b0-77.ucode
+# -Version: 74.2753b721.0
+# +Version: 74.f31a351f.0
+#  
+#  File: iwlwifi-QuZ-a0-hr-b0-77.ucode
+# -Version: 74.2753b721.0
+# +Version: 74.f31a351f.0
+#  
+#  File: iwlwifi-QuZ-a0-jf-b0-77.ucode
+# -Version: 74.2753b721.0
+# +Version: 74.f31a351f.0
+#  
+#  File: iwlwifi-ty-a0-gf-a0-77.ucode
+#  Version: 74.f92b5fed.0
+# @@ -1064,7 +1064,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-ty-a0-gf-a0-89.ucode
+# -Version: 86.4d42c933.0
+# +Version: 86.7f71c7f4.0
+#  
+#  File: iwlwifi-so-a0-gf4-a0-77.ucode
+#  Version: 74.f92b5fed.0
+# @@ -1088,7 +1088,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-so-a0-gf4-a0-89.ucode
+# -Version: 86.4d42c933.0
+# +Version: 86.7f71c7f4.0
+#  
+#  File: iwlwifi-so-a0-gf-a0-77.ucode
+#  Version: 74.f92b5fed.0
+# @@ -1112,7 +1112,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-so-a0-gf-a0-89.ucode
+# -Version: 86.4d42c933.0
+# +Version: 86.7f71c7f4.0
+#  
+#  File: iwlwifi-so-a0-hr-b0-77.ucode
+#  Version: 74.f92b5fed.0
+# @@ -1133,13 +1133,21 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-so-a0-hr-b0-89.ucode
+# -Version: 86.4d42c933.0
+# +Version: 86.7f71c7f4.0
+#  
+#  File: iwlwifi-so-a0-jf-b0-77.ucode
+#  Version: 74.f92b5fed.0
+#  
+#  File: iwlwifi-ty-a0-gf-a0.pnvm
+#  
+# +File: iwlwifi-bz-b0-hr-b0-96.ucode
+# +Version: 93.44729d4e.0
+# +
+# +File: iwlwifi-bz-b0-hr-b0-98.ucode
+# +Version: 95.d661c37c.0
+# +
+# +File: iwlwifi-bz-b0-hr-b0.pnvm
+# +
+#  File: iwlwifi-bz-b0-gf-a0-92.ucode
+#  Version: 89.7541f516.0
+#  
+# @@ -1152,6 +1160,9 @@
+#  File: iwlwifi-bz-b0-gf-a0-97.ucode
+#  Version: 94.8049d69b.0
+#  
+# +File: iwlwifi-bz-b0-gf-a0-98.ucode
+# +Version: 95.d661c37c.0
+# +
+#  File: iwlwifi-bz-b0-gf-a0.pnvm
+#  
+#  File: iwlwifi-gl-c0-fm-c0-83.ucode
+# @@ -1175,6 +1186,9 @@
+#  File: iwlwifi-gl-c0-fm-c0-97.ucode
+#  Version: 94.8049d69b.0
+#  
+# +File: iwlwifi-gl-c0-fm-c0-98.ucode
+# +Version: 95.d661c37c.0
+# +
+#  File: iwlwifi-gl-c0-fm-c0.pnvm
+#  
+#  File: iwlwifi-bz-b0-fm-c0-92.ucode
+# @@ -1192,6 +1206,9 @@
+#  File: iwlwifi-bz-b0-fm-c0-97.ucode
+#  Version: 94.8049d69b.0
+#  
+# +File: iwlwifi-bz-b0-fm-c0-98.ucode
+# +Version: 95.d661c37c.0
+# +
+#  File: iwlwifi-bz-b0-fm-c0.pnvm
+#  
+#  File: iwlwifi-ma-b0-gf-a0-83.ucode
+# @@ -1201,7 +1218,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-ma-b0-gf-a0-89.ucode
+# -Version: 86.4d42c933.0
+# +Version: 86.7f71c7f4.0
+#  
+#  File: iwlwifi-ma-b0-gf-a0.pnvm
+#  
+# @@ -1212,7 +1229,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-ma-b0-gf4-a0-89.ucode
+# -Version: 86.4d42c933.0
+# +Version: 86.7f71c7f4.0
+#  
+#  File: iwlwifi-ma-b0-gf4-a0.pnvm
+#  
+# @@ -1223,7 +1240,7 @@
+#  Version: 83.fb5c9aeb.0
+#  
+#  File: iwlwifi-ma-b0-hr-b0-89.ucode
+# -Version: 86.4d42c933.0
+# +Version: 86.7f71c7f4.0
+#  
+#  Licence: Redistributable. See LICENCE.iwlwifi_firmware for details
+#  
+# @@ -2765,6 +2782,8 @@
+#  
+#  File: amdtee/773bd96f-b83f-4d52-b12dc529b13d8543.bin
+#  Link: amdtee/amd_pmf_v3.bin -> 773bd96f-b83f-4d52-b12dc529b13d8543.bin
+# +File: amdtee/f29bb3d9-bd66-5441-afb88acc2b2b60d6.bin
+# +Link: amdtee/amd_pmf_v3_1.bin -> f29bb3d9-bd66-5441-afb88acc2b2b60d6.bin
+#  
+#  Licence: Redistributable. See LICENSE.amd_pmf for details.
+#  
+# @@ -3055,6 +3074,7 @@
+#  Link: brcm/brcmfmac43455-sdio.Raspberry\ Pi\ Foundation-Raspberry\ Pi\ 4\ Model\ B.txt -> brcmfmac43455-sdio.raspberrypi,4-model-b.txt
+#  Link: brcm/brcmfmac43455-sdio.Raspberry\ Pi\ Foundation-Raspberry\ Pi\ Compute\ Module\ 4.txt -> brcmfmac43455-sdio.raspberrypi,4-model-b.txt
+#  File: "brcm/brcmfmac43455-sdio.MINIX-NEO Z83-4.txt"
+# +File: "brcm/brcmfmac43455-sdio.Radxa-ROCK Pi X.txt"
+#  File: "brcm/brcmfmac4356-pcie.gpd-win-pocket.txt"
+#  File: "brcm/brcmfmac4356-pcie.Intel Corporation-CHERRYVIEW D1 PLATFORM.txt"
+#  File: "brcm/brcmfmac4356-pcie.Xiaomi Inc-Mipad2.txt"
+# @@ -3435,6 +3455,7 @@
+#  File: rtw89/rtw8852bt_fw.bin
+#  File: rtw89/rtw8852c_fw.bin
+#  File: rtw89/rtw8852c_fw-1.bin
+# +File: rtw89/rtw8852c_fw-2.bin
+#  File: rtw89/rtw8922a_fw.bin
+#  File: rtw89/rtw8922a_fw-1.bin
+#  File: rtw89/rtw8922a_fw-2.bin
+# @@ -3908,7 +3929,7 @@
+#  File: ath11k/IPQ5018/hw1.0/q6_fw.b14
+#  File: ath11k/IPQ5018/hw1.0/q6_fw.flist
+#  File: ath11k/IPQ5018/hw1.0/q6_fw.mdt
+# -Version: WLAN.HK.2.6.0.1-01291-QCAHKSWPL_SILICONZ-1
+# +Version: WLAN.HK.2.6.0.1-01300-QCAHKSWPL_SILICONZ-1
+#  File: ath11k/IPQ5018/hw1.0/Notice.txt
+#  File: ath11k/QCA2066/hw2.1/board-2.bin
+#  File: ath11k/QCA2066/hw2.1/amss.bin
+# @@ -3937,7 +3958,7 @@
+#  File: ath12k/WCN7850/hw2.0/board-2.bin
+#  File: ath12k/WCN7850/hw2.0/amss.bin
+#  File: ath12k/WCN7850/hw2.0/m3.bin
+# -Version: WLAN.HMT.1.0.c5-00481-QCAHMTSWPL_V1.0_V2.0_SILICONZ-3
+# +Version: WLAN.HMT.1.1.c5-00284-QCAHMTSWPL_V1.0_V2.0_SILICONZ-3
+#  File: ath12k/WCN7850/hw2.0/Notice.txt
+#  File: ath12k/QCN9274/hw2.0/board-2.bin
+#  File: ath12k/QCN9274/hw2.0/firmware-2.bin
+# @@ -5234,7 +5255,7 @@
+#  Version: GuC API/APB ver 70.1.1 for Tigerlake
+#  
+#  File: i915/tgl_guc_70.bin
+# -Version: GuC API/APB ver 70.36.0 for Tigerlake
+# +Version: GuC API/APB ver 70.44.1 for Tigerlake
+#  
+#  File: i915/tgl_huc_7.0.3.bin
+#  Version: Huc API/APB ver 7 release 0 for Tigerlake
+# @@ -5273,7 +5294,7 @@
+#  Version: GuC API/APB ver 70.1.1 for DG1
+#  
+#  File: i915/dg1_guc_70.bin
+# -Version: GuC API/APB ver 70.36.0 for DG1
+# +Version: GuC API/APB ver 70.44.1 for DG1
+#  
+#  File: i915/dg1_huc_7.7.1.bin
+#  Version: Huc API/APB ver 7 release 1 for DG1
+# @@ -5315,7 +5336,7 @@
+#  Version: GuC API/APB ver 70.1.1 for Alderlake P
+#  
+#  File: i915/adlp_guc_70.bin
+# -Version: GuC API/APB ver 70.36.0 for Alderlake P
+# +Version: GuC API/APB ver 70.44.1 for Alderlake P
+#  
+#  File: i915/dg2_guc_70.1.2.bin
+#  Version: GuC API/APB ver 70.1.2 for DG2
+# @@ -5324,7 +5345,7 @@
+#  Version: GuC API/APB ver 70.4.1 for DG2
+#  
+#  File: i915/dg2_guc_70.bin
+# -Version: GuC API/APB ver 70.36.0 for DG2
+# +Version: GuC API/APB ver 70.44.1 for DG2
+#  
+#  File: i915/dg2_huc_gsc.bin
+#  Version: HuC API/APB ver 7.10.16 for DG2
+# @@ -5345,7 +5366,7 @@
+#  Version: DMC API/APB ver 2 release 23 for Meteorlake
+#  
+#  File: i915/mtl_guc_70.bin
+# -Version: GuC API/APB ver 70.36.0 for Meteorlake
+# +Version: GuC API/APB ver 70.44.1 for Meteorlake
+#  
+#  File: i915/mtl_huc_gsc.bin
+#  Version: HuC API/APB ver 8.5.4 for Meteorlake
+# @@ -5360,7 +5381,7 @@
+#  Version: DMC API/APB ver 2 release 28 for Xe2LPD
+#  
+#  File: i915/xe3lpd_dmc.bin
+# -Version: DMC API/APB ver 2 release 20 for Xe3LPD
+# +Version: DMC API/APB ver 2 release 23 for Xe3LPD
+#  
+#  License: Redistributable. See LICENSE.i915 for details
+#  --------------------------------------------------------------------------
+# @@ -5371,13 +5392,13 @@
+#  Version: GSC API/APB v1.0, release 104.0.0.1263, SVN 1 for Lunarlake
+#  
+#  File: xe/lnl_guc_70.bin
+# -Version: GuC API/APB ver 70.40.2 for Lunarlake
+# +Version: GuC API/APB ver 70.44.1 for Lunarlake
+#  
+#  File: xe/lnl_huc.bin
+#  Version: HuC API/APB ver 9.4.13 for Lunarlake
+#  
+#  File: xe/bmg_guc_70.bin
+# -Version: GuC API/APB ver 70.40.2 for Battlemage
+# +Version: GuC API/APB ver 70.44.1 for Battlemage
+#  
+#  File: xe/bmg_huc.bin
+#  Version: HuC API/APB ver 8.2.10 for Battlemage
+# @@ -6138,9 +6159,9 @@
+#  Driver: mt7925 - MediaTek MT7925 Wireless MACs
+#  
+#  File: mediatek/mt7925/WIFI_MT7925_PATCH_MCU_1_1_hdr.bin
+# -Version: 20250305132908a
+# +Version: 20250425072955a
+#  File: mediatek/mt7925/WIFI_RAM_CODE_MT7925_1_1.bin
+# -Version: 20250305132802
+# +Version: 20250425072801
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6149,7 +6170,7 @@
+#  Driver: mt7925 - MediaTek MT7925 bluetooth chipset
+#  
+#  File: mediatek/mt7925/BT_RAM_CODE_MT7925_1_1_hdr.bin
+# -Version: 20250305133215
+# +Version: 20250425073330
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6399,6 +6420,14 @@
+#  
+#  Version: VIDEO.VPU.3.1-0074
+#  
+# +File: qcom/vpu/vpu30_p4_s6_16mb.mbn
+# +
+# +Version: VIDEO.VPU.3.1-0090
+# +
+# +File: qcom/vpu/vpu20_p1_gen2.mbn
+# +
+# +Version: VIDEO.VPU.2.4.2-00025
+# +
+#  Licence: Redistributable. See LICENSE.qcom and qcom/NOTICE.txt for details
+#  
+#  --------------------------------------------------------------------------
+# @@ -6441,6 +6470,7 @@
+#  File: qcom/a660_sqe.fw
+#  File: qcom/qcm6490/a660_zap.mbn
+#  Link: qcom/qcs6490/a660_zap.mbn -> ../qcm6490/a660_zap.mbn
+# +Link: qcom/sm8350/a660_zap.mbn -> ../qcm6490/a660_zap.mbn
+#  File: qcom/a702_sqe.fw
+#  File: qcom/leia_pfp_470.fw
+#  File: qcom/leia_pm4_470.fw
+# @@ -8014,6 +8044,12 @@
+#  Link: cirrus/cs35l56-b0-dsp1-misc-10431024-spkid1.wmfw -> cs35l56/CS35L56_Rev3.11.16.wmfw
+#  Link: cirrus/cs35l56-b0-dsp1-misc-10431024-spkid1-amp1.bin -> cs35l56-b0-dsp1-misc-10431044-spkid1-amp1.bin
+#  Link: cirrus/cs35l56-b0-dsp1-misc-10431024-spkid1-amp2.bin -> cs35l56-b0-dsp1-misc-10431044-spkid1-amp2.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-10431034-spkid0.wmfw -> cs35l56/CS35L56_Rev3.11.16.wmfw
+# +File: cirrus/cs35l56-b0-dsp1-misc-10431034-spkid0-amp1.bin
+# +File: cirrus/cs35l56-b0-dsp1-misc-10431034-spkid0-amp2.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-10431034-spkid1.wmfw -> cs35l56/CS35L56_Rev3.11.16.wmfw
+# +File: cirrus/cs35l56-b0-dsp1-misc-10431034-spkid1-amp1.bin
+# +File: cirrus/cs35l56-b0-dsp1-misc-10431034-spkid1-amp2.bin
+#  Link: cirrus/cs35l56-b0-dsp1-misc-10431044-spkid0.wmfw -> cs35l56/CS35L56_Rev3.11.16.wmfw
+#  File: cirrus/cs35l56-b0-dsp1-misc-10431044-spkid0-amp1.bin
+#  File: cirrus/cs35l56-b0-dsp1-misc-10431044-spkid0-amp2.bin
+# @@ -8025,6 +8061,12 @@
+#  Link: cirrus/cs35l56-b0-dsp1-misc-10431264-amp2.bin -> cs35l56-b0-dsp1-misc-10431df3-amp2.bin
+#  Link: cirrus/cs35l56-b0-dsp1-misc-10431264-amp3.bin -> cs35l56-b0-dsp1-misc-10431df3-amp3.bin
+#  Link: cirrus/cs35l56-b0-dsp1-misc-10431264-amp4.bin -> cs35l56-b0-dsp1-misc-10431df3-amp4.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-10431314-spkid0.wmfw -> cs35l56/CS35L56_Rev3.11.16.wmfw
+# +Link: cirrus/cs35l56-b0-dsp1-misc-10431314-spkid0-amp1.bin -> cs35l56-b0-dsp1-misc-10431034-spkid0-amp1.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-10431314-spkid0-amp2.bin -> cs35l56-b0-dsp1-misc-10431034-spkid0-amp2.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-10431314-spkid1.wmfw -> cs35l56/CS35L56_Rev3.11.16.wmfw
+# +Link: cirrus/cs35l56-b0-dsp1-misc-10431314-spkid1-amp1.bin -> cs35l56-b0-dsp1-misc-10431034-spkid1-amp1.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-10431314-spkid1-amp2.bin -> cs35l56-b0-dsp1-misc-10431034-spkid1-amp2.bin
+#  Link: cirrus/cs35l56-b0-dsp1-misc-10431b13-spkid0.wmfw -> cs35l56/CS35L56_Rev3.11.16.wmfw
+#  File: cirrus/cs35l56-b0-dsp1-misc-10431b13-spkid0-amp1.bin
+#  File: cirrus/cs35l56-b0-dsp1-misc-10431b13-spkid0-amp2.bin
+# @@ -8109,15 +8151,31 @@
+#  Link: cirrus/cs35l56-b0-dsp1-misc-17aa3911-spkid0.wmfw -> cs35l56/CS35L56_Rev3.11.18.wmfw
+#  File: cirrus/cs35l56-b0-dsp1-misc-17aa3911-spkid0-amp1.bin
+#  File: cirrus/cs35l56-b0-dsp1-misc-17aa3911-spkid0-amp2.bin
+# -Link: cirrus/cs35l56-b0-dsp1-misc-17aa391b-spkid0.wmfw -> cs35l56/CS35L56_Rev3.11.21.wmfw
+# -File: cirrus/cs35l56-b0-dsp1-misc-17aa391b-spkid0-amp1.bin
+# -File: cirrus/cs35l56-b0-dsp1-misc-17aa391b-spkid0-amp2.bin
+# -Link: cirrus/cs35l56-b0-dsp1-misc-17aa391e-spkid1.wmfw -> cs35l56/CS35L56_Rev3.11.21.wmfw
+# -File: cirrus/cs35l56-b0-dsp1-misc-17aa391e-spkid1-amp1.bin
+# -File: cirrus/cs35l56-b0-dsp1-misc-17aa391e-spkid1-amp2.bin
+# -Link: cirrus/cs35l56-b0-dsp1-misc-17aa3921-spkid0.wmfw -> cs35l56/CS35L56_Rev3.11.21.wmfw
+# -File: cirrus/cs35l56-b0-dsp1-misc-17aa3921-spkid0-amp1.bin
+# -File: cirrus/cs35l56-b0-dsp1-misc-17aa3921-spkid0-amp2.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-17aa391b.wmfw -> cs35l56/CS35L56_Rev3.11.21.wmfw
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa391b-amp1.bin
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa391b-amp2.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-17aa391e-spkid0.wmfw -> cs35l56/CS35L56_Rev3.11.21.wmfw
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa391e-spkid0-amp1.bin
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa391e-spkid0-amp2.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-17aa3921-spkid1.wmfw -> cs35l56/CS35L56_Rev3.11.21.wmfw
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa3921-spkid1-amp1.bin
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa3921-spkid1-amp2.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-17aa392c-spkid1.wmfw -> cs35l56/CS35L56_Rev3.11.21.wmfw
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa392c-spkid1-amp1.bin
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa392c-spkid1-amp2.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-17aa392d-spkid0.wmfw -> cs35l56/CS35L56_Rev3.11.21.wmfw
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa392d-spkid0-amp1.bin
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa392d-spkid0-amp2.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-17aa392e.wmfw -> cs35l56/CS35L56_Rev3.11.28.wmfw
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa392e-amp1.bin
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa392e-amp2.bin
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa392e-amp3.bin
+# +File: cirrus/cs35l56-b0-dsp1-misc-17aa392e-amp4.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-17aa3932.wmfw -> cs35l56/CS35L56_Rev3.11.28.wmfw
+# +Link: cirrus/cs35l56-b0-dsp1-misc-17aa3932-amp1.bin -> cs35l56-b0-dsp1-misc-17aa392e-amp1.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-17aa3932-amp2.bin -> cs35l56-b0-dsp1-misc-17aa392e-amp2.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-17aa3932-amp3.bin -> cs35l56-b0-dsp1-misc-17aa392e-amp3.bin
+# +Link: cirrus/cs35l56-b0-dsp1-misc-17aa3932-amp4.bin -> cs35l56-b0-dsp1-misc-17aa392e-amp4.bin
+#  
+#  License: Redistributable. See LICENSE.cirrus for details.
+#  
+# @@ -8412,8 +8470,8 @@
+#  Link: TAS2XXX8DE91.bin -> ti/tas2781/TAS2XXX8DE9.bin
+#  Link: TIAS2781RCA2.bin -> ti/tas2781/TIAS2781RCA2.bin
+#  Link: TIAS2781RCA4.bin -> ti/tas2781/TIAS2781RCA4.bin
+# -Link: TXNW2781RCA0.bin -> ti/tas2781/TXNW2781RCA0.bin
+# -Link: TXNW2781RCA1.bin -> ti/tas2781/TXNW2781RCA1.bin
+# +Link: TXNW2781RCA1.bin -> ti/tas2781/TXNW2781RCA0.bin
+# +Link: TXNW2781RCA0.bin -> ti/tas2781/TXNW2781RCA1.bin
+#  Link: TXNW2781RCA2.bin -> ti/tas2781/TIAS2781RCA2.bin
+#  Link: TXNW2781RCA4.bin -> ti/tas2781/TIAS2781RCA4.bin
+#  
+# @@ -8471,7 +8529,7 @@
+#  File: intel/ish/ish_lnlm.bin
+#  Version: 5.8.0.7716
+#  
+# -License: Redistributable. See LICENCE.ish for details
+# +License: Redistributable. See LICENSE.intel for details
+#  
+#  --------------------------------------------------------------------------
+#  
+# @@ -8493,3 +8551,19 @@
+#  Link: intel/vpu/vpu_40xx_v0.0.bin -> vpu_40xx_v1.bin
+#  
+#  License: Redistributable. See LICENSE.intel_vpu for details
+# +
+# +--------------------------------------------------------------------------
+# +
+# +Driver: bmi260 - Bosch BMI260 IMU configuration data
+# +File: bmi260-init-data.fw
+# +
+# +License: Redistributable. See LICENSE.bmi260 for details
+# +
+# +Originates from https://source.chromium.org/chromiumos/chromiumos/codesearch/+/main:src/platform/ec/third_party/bmi260/accelgyro_bmi260_config_tbin.h
+# +
+# +---------------------------------------------------------------------------
+# +
+# +Driver: qcs9100 - Qualcomm QUPv3 firmware image file
+# +File: qcom/sa8775p/qupv3fw.elf
+# +
+# +License: Redistributable. See LICENSE.qcom and qcom/NOTICE.txt for details
+# 
+#
+
 SUMMARY = "Firmware files for use with Linux kernel"
 HOMEPAGE = "https://www.kernel.org/"
 DESCRIPTION = "Linux firmware is a package distributed alongside the Linux kernel \
@@ -156,7 +573,7 @@ LIC_FILES_CHKSUM = "file://LICENCE.Abilis;md5=b5ee3f410780e56711ad48eadc22b8bc \
                     file://LICENCE.xc5000;md5=1e170c13175323c32c7f4d0998d53f66 \
                     file://LICENCE.xc5000c;md5=12b02efa3049db65d524aeb418dd87ca \
                     file://wfx/LICENCE.wf200;md5=4d1beff00d902c05c9c7e95a5d8eb52d \
-                    file://WHENCE;md5=${WHENCE_CHKSUM} \
+                    file://WHENCE;md5=d85e2f182f489a235400712cbfdb017a \
                     "
 # WHENCE checksum is defined separately to ease overriding it if
 # class-devupstream is selected.
@@ -250,7 +667,7 @@ SRC_URI:class-devupstream = "git://git.kernel.org/pub/scm/linux/kernel/git/firmw
 # Pin this to the 20220509 release, override this in local.conf
 SRCREV:class-devupstream ?= "b19cbdca78ab2adfd210c91be15a22568e8b8cae"
 
-SRC_URI[sha256sum] = "2ae6aab2d8930fd54bf30ae15498f1625721bc3630b894644db5d21fad5a20f9"
+SRC_URI[sha256sum] = "f2c60d66f226a28130cb5643e6e544d3229673460e127c91ba03f1080cbd703e"
 
 inherit allarch
 
-- 
2.47.1

